Timeline
Open, NormalPublic

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
afarid created this task.Sep 27 2017, 4:34 PM
afarid added a comment.Oct 4 2017, 3:45 PM

Would it be possible to have this feature implemented for 17.12:

Feature to stretch clip for looping: https://bugs.kde.org/show_bug.cgi?id=351086

afarid moved this task from Feature ideas to Refactoring on the Kdenlive board.Nov 12 2017, 6:59 PM
afarid added a comment.Jan 2 2018, 4:27 AM

Crash undoing.

1- Add 3 clips and split them (shift + r) every ten frames for example.
2- Move and resize the cut parts around.
3- Undo many times.
4- Crash.

PS
Is there a way to better debug this? I only get this in the terminal:

qrc:/qml/Clip.qml:630: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:682: TypeError: Cannot read property of null
/tmp/.mount_wcTe2y/AppRun, linha 55: 15404 Falha de segmentação  (imagem do núcleo gravada)kdenlive --config kdenlive-appimagerc $@
afarid added a comment.Jan 2 2018, 4:37 AM

Moving various clips doesn't work.

Box selecting (shift + left click + drag) various clips in the timeline and trying to move them doesn't work.

afarid added a comment.Jan 2 2018, 1:43 PM

Crash cutting faded clip

1- Add clip to timeline and drag the little handle to fade in or out
2- Cut the clip
3- Crash

XML parsing of  "fadein" . found :  4
WARNING: Unknown type : "fixed"
PARAMETER "in" "fixed" "0" true
terminate called after throwing an instance of 'std::out_of_range'
  what():  _Map_base::at
/tmp/.mount_A3ZnH7/AppRun, linha 55:  6259 Abortado                (imagem do núcleo gravada)kdenlive --config kdenlive-appimagerc $@

Thanks Farid for this feedback. I think these 3 issues are now fixed in git, and I will prepare a new AppImage tomorrow.

Cool JB, once you release the new version I will try to do more tests.

Cheers

afarid added a comment.EditedJan 13 2018, 1:38 AM

Moving various clips in the timeline is laggy compared to when moving a single one.

I noticed this happens when the clips are short in length.

See video:

Cutting a clip with fades is weird. Fade handles display should be updated after a cut. See video:

Another fade handle being drawn incorrectly. The handle shouldn't pass the clips length.

An error happens when trying to add a fade from black for example after changing a clips length in the timeline. This kind of issues when changing a clips length after adding it to the timeline have happened in current version of Kdenlive with some effects if I am not mistaken. Would be cool to go deeper into this issue. See video.

1- Add an image or color clip to the timeline
2- Change its length
3- Apply fade from black for example

Crash when right-clicking on a clip in the timeline and choosing "Extract" from the menu.

Snapping isn't working or it is very weak.

Ctrl + Shift + left drag select should add the highlighted clips to an existing selection. It isn't working atm.

afarid added a comment.EditedJan 14 2018, 7:08 PM

Clip thumbnails in thimeline should scale better when resized. See videos.

Image - resizing clip

Video - resizing clip

Video - resizing track

The fade issues and crash on Extract should now be fixed in the latest AppImage that is uploading right now. Should be completely uploaded 1 hour (very slow connection at home - size file is 173Mb).
https://files.kde.org/kdenlive/unstable/kdenlive-18.04-alpha6.AppImage.mirrorlist

afarid added a comment.EditedJan 19 2018, 8:54 PM

The fade issues and crash on Extract should now be fixed in the latest AppImage that is uploading right now. Should be completely uploaded 1 hour (very slow connection at home - size file is 173Mb).
https://files.kde.org/kdenlive/unstable/kdenlive-18.04-alpha6.AppImage.mirrorlist

Will do more tests but I can for starters say that extract still crashes (Sorry for the long log, couldn't figure out how to reduce the display of it):

Loading bin playlist...
//////////////////////
Trying to construct 7 tracks.
////////////////////////////////
SUSPICIOUS: we weren't expecting a producer when parsing the timeline
REGISTER TRACK 1 0
REGISTER TRACK 2 1
REGISTER TRACK 3 2
REGISTER TRACK 4 3
REGISTER TRACK 5 4
REGISTER TRACK 6 5
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
/////////// starting to add bin clips
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find "mtp"
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: KSambaShare: Could not find smb.conf!
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
/////////// found list (QUrl("file:///home/farid/Gunga/Festival de Cinema de Taguatinga/video/logo.png"), QUrl("file:///home/farid/Gunga/Festival de Cinema de Taguatinga/video/tratado-audacity.wav"), QUrl("file:///home/farid/Gunga/Festival de Cinema de Taguatinga/video/12FestivalTaguatingaCinema.mp4"))
/////////// creatclipsfromlist (QUrl("file:///home/farid/Gunga/Festival de Cinema de Taguatinga/video/logo.png"), QUrl("file:///home/farid/Gunga/Festival de Cinema de Taguatinga/video/tratado-audacity.wav"), QUrl("file:///home/farid/Gunga/Festival de Cinema de Taguatinga/video/12FestivalTaguatingaCinema.mp4")) true "-1"
/////////// createClipFromFile "/home/farid/Gunga/Festival de Cinema de Taguatinga/video/logo.png" "-1" QUrl("/home/farid/Gunga/Festival de Cinema de Taguatinga/video/logo.png") "image/png"
/////////// final xml "<producer length=\"120\" type=\"5\" in=\"0\">\n <property name=\"resource\">/home/farid/Gunga/Festival de Cinema de Taguatinga/video/logo.png</property>\n</producer>\n"
/////////// requestAddBinClip "-1"
/////////// found id "2"
/////////// constructed 
Setting parent to  "-1"
MANAGE BIN ITEM INSERT "2"
Inserting clip "2"
Inserting invalid clip "2"
// GET PROFILE:  "atsc_1080p_24"
/////////// added  true
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"

(process:22578): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/app././/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

(process:22578): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/app././/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory
/////////// createClipFromFile "/home/farid/Gunga/Festival de Cinema de Taguatinga/video/tratado-audacity.wav" "-1" QUrl("/home/farid/Gunga/Festival de Cinema de Taguatinga/video/tratado-audacity.wav") "audio/x-wav"
/////////// normal "" QMap(("resource", "/home/farid/Gunga/Festival de Cinema de Taguatinga/video/tratado-audacity.wav")) QUrl("/home/farid/Gunga/Festival de Cinema de Taguatinga/video/tratado-audacity.wav")
/////////// final xml "<producer>\n <property name=\"resource\">/home/farid/Gunga/Festival de Cinema de Taguatinga/video/tratado-audacity.wav</property>\n</producer>\n"
/////////// requestAddBinClip "-1"
/////////// found id "3"
/////////// constructed 
Setting parent to  "-1"
MANAGE BIN ITEM INSERT "3"
Inserting clip "3"
Inserting invalid clip "3"
// GET PROFILE:  "atsc_1080p_24"
/////////// added  true
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
/////////// createClipFromFile "/home/farid/Gunga/Festival de Cinema de Taguatinga/video/12FestivalTaguatingaCinema.mp4" "-1" QUrl("/home/farid/Gunga/Festival de Cinema de Taguatinga/video/12FestivalTaguatingaCinema.mp4") "video/mp4"
/////////// normal "" QMap(("resource", "/home/farid/Gunga/Festival de Cinema de Taguatinga/video/12FestivalTaguatingaCinema.mp4")) QUrl("/home/farid/Gunga/Festival de Cinema de Taguatinga/video/12FestivalTaguatingaCinema.mp4")
/////////// final xml "<producer>\n <property name=\"resource\">/home/farid/Gunga/Festival de Cinema de Taguatinga/video/12FestivalTaguatingaCinema.mp4</property>\n</producer>\n"
/////////// requestAddBinClip "-1"
/////////// found id "4"
/////////// constructed 
Setting parent to  "-1"
MANAGE BIN ITEM INSERT "4"
Inserting clip "4"
Inserting invalid clip "4"
// GET PROFILE:  "atsc_1080p_24"
/////////// added  true
// GET PROFILE:  "atsc_1080p_24"
/////////// creatclipsfromlist return
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
################### JOB finished 3
################### loadjob COMMIT
################### ProjectClip::setproducer
################### ClipController::updateProducer
################### ClipController::addmasterproducer
################### ClipController::getinfoforproducer
888888888 Changing producer "3"
Setting parent to  "-1"
&&&&&&&&&&&&&&&&&& THUMB JOB STARTING:  "3" 

&&&&&&&&&&&&&&&&&&&&&&&
// GET PROFILE:  "atsc_1080p_24"
################### JOB finished 4
&&&&&&&&&&&&&&&&&& THUMB JOB RESULTS COMMITTED:  "3" 

&&&&&&&&&&&&&&&&&&&&&&&
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::setRenderHint: Painter must be active to set rendering hints
QPainter::setClipPath: Painter not active
QPainter::end: Painter not active, aborted
################### JOB finished 0
################### loadjob COMMIT
################### ProjectClip::setproducer
################### ClipController::updateProducer
################### ClipController::addmasterproducer
################### ClipController::getinfoforproducer
888888888 Changing producer "2"
Setting parent to  "-1"
&&&&&&&&&&&&&&&&&& THUMB JOB STARTING:  "2" 

&&&&&&&&&&&&&&&&&&&&&&&
################### JOB finished 2
################### JOB finished 6
################### loadjob COMMIT
################### ProjectClip::setproducer
################### ClipController::updateProducer
################### ClipController::addmasterproducer
################### ClipController::getinfoforproducer
888888888 Changing producer "4"
Setting parent to  "-1"
&&&&&&&&&&&&&&&&&& THUMB JOB STARTING:  "4" 

&&&&&&&&&&&&&&&&&&&&&&&
// GET PROFILE:  "atsc_1080p_24"
&&&&&&&&&&&&&&&&&& THUMB JOB DONE:  "2" 

&&&&&&&&&&&&&&&&&&&&&&&
################### JOB finished 1
&&&&&&&&&&&&&&&&&& THUMB JOB RESULTS COMMITTED:  "2" 

&&&&&&&&&&&&&&&&&&&&&&&
&&&&&&&&&&&&&&&&&& THUMB JOB DONE:  "4" 

&&&&&&&&&&&&&&&&&&&&&&&
################### JOB finished 7
&&&&&&&&&&&&&&&&&& THUMB JOB RESULTS COMMITTED:  "4" 

&&&&&&&&&&&&&&&&&&&&&&&
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
################### JOB finished 5
// GET PROFILE:  "atsc_1080p_24"
################### JOB finished 8
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
/// CLI DURATION:  9337
 // /REQUEST TL CLP REGSTR:  7 
--------
CLIPS COUNT:  0
REGISTRATION  7 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  15 , ID:  7 , index:  3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  200 , ID:  7 , index:  3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  248 , ID:  7 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  318 , ID:  7 , index:  3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  345 , ID:  7 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  405 , ID:  7 , index:  3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  423 , ID:  7 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  490 , ID:  7 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  520 , ID:  7 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  553 , ID:  7 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  570 , ID:  7 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  593 , ID:  7 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  610 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  625 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  608 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  585 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  550 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  535 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  490 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  445 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  420 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  403 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  388 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  373 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  7  =  7
// INTERNAL ID:  7  =  7
qml: loaded clip:  350 , ID:  7 , index:  2
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
 // /REQUEST TL CLP REGSTR:  8 
--------
CLIPS COUNT:  0
REGISTRATION  8 ptr count 3
// FINAL MOVE:  true , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  8  =  8
// INTERNAL ID:  8  =  8
qml: loaded clip:  350 , ID:  8 , index:  2
/// INVALIDATE CLIP ON INSERTT!!!!!!
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
// GET PROFILE:  "atsc_1080p_24"
/// CLI DURATION:  8627
QPainter::begin: Paint device returned engine == 0, type: 3
QPainter::setOpacity: Painter not active
QPainter::setOpacity: Painter not active
QPainter::end: Painter not active, aborted
 // /REQUEST TL CLP REGSTR:  9 
--------
CLIPS COUNT:  1
REGISTRATION  9 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
 // /REQUEST TL CLP REGSTR:  10 
--------
CLIPS COUNT:  1
REGISTRATION  10 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
 // /REQUEST TL CLP REGSTR:  11 
--------
CLIPS COUNT:  1
REGISTRATION  11 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
 // /REQUEST TL CLP REGSTR:  12 
--------
CLIPS COUNT:  1
REGISTRATION  12 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
 // /REQUEST TL CLP REGSTR:  13 
--------
CLIPS COUNT:  1
REGISTRATION  13 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
 // /REQUEST TL CLP REGSTR:  14 
--------
CLIPS COUNT:  1
REGISTRATION  14 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
 // /REQUEST TL CLP REGSTR:  15 
--------
CLIPS COUNT:  1
REGISTRATION  15 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
 // /REQUEST TL CLP REGSTR:  16 
--------
CLIPS COUNT:  1
REGISTRATION  16 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  375 , ID:  16 , index:  3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  410 , ID:  16 , index:  3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  435 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  458 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  475 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  498 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  515 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  530 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  553 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  570 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  543 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  508 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  490 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  468 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  443 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// GET PROFILE:  "atsc_1080p_24"
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  428 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  413 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  395 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  380 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  16  =  16
// INTERNAL ID:  16  =  16
qml: loaded clip:  350 , ID:  16 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
 // /REQUEST TL CLP REGSTR:  17 
--------
CLIPS COUNT:  1
REGISTRATION  17 ptr count 3
// FINAL MOVE:  true , UPDATE VIEW:  true
qml: keyframe model changed............
qml: get clip thumb for service:  avformat
qml: get clip thumb for service:  avformat
// INTERNAL ID:  17  =  17
// INTERNAL ID:  17  =  17
qml: loaded clip:  350 , ID:  17 , index:  3
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
Changing selection to ()  trackIndex -1 isMultitrack false
// GET PROFILE:  "atsc_1080p_24"
qml: Clip clicked 8
Changing selection to (8)  trackIndex -1 isMultitrack false
-----
// SHOW KEYFRAMES:  true
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
 CLIP SPEED OFR:  8  =  QVariant(int, 100)
qrc:/qml/Clip.qml:633: TypeError: Cannot read property of null
qrc:/qml/Clip.qml:685: TypeError: Cannot read property of null
file:///tmp/.mount_xgzFId/usr/lib/qt5/qml/QtQuick/Controls/Private/MenuContentItem.qml:262: TypeError: Cannot read property 'width' of null
file:///tmp/.mount_xgzFId/usr/lib/qt5/qml/QtQuick/Controls/Private/MenuContentItem.qml:275: ReferenceError: __menu is not defined
file:///tmp/.mount_xgzFId/usr/lib/qt5/qml/QtQuick/Controls/Styles/Desktop/MenuStyle.qml:89: ReferenceError: __menuItemType is not defined
file:///tmp/.mount_xgzFId/usr/lib/qt5/qml/QtQuick/Controls/Private/MenuContentItem.qml:262: TypeError: Cannot read property 'width' of null
file:///tmp/.mount_xgzFId/usr/lib/qt5/qml/QtQuick/Controls/Private/MenuContentItem.qml:275: ReferenceError: __menu is not defined
file:///tmp/.mount_xgzFId/usr/lib/qt5/qml/QtQuick/Controls/Styles/Desktop/MenuStyle.qml:89: ReferenceError: __menuItemType is not defined
/tmp/.mount_xgzFId/AppRun, linha 55: 22578 Falha de segmentação  (imagem do núcleo gravada)kdenlive --config kdenlive-appimagerc $@

Split audio isn't working if there is a track below the top one.

1- Add two tracks to the timeline, one on top of the other.
2- Select top clip add split audio.

The audio disappears instead of going to a track below or give a warning.

If you split the audio of a clip, you shouldn't be able to resize the audio or video clips unless you ungroup them.

Zoom should be at the location of the mouse pointer and not at the position of timeline cursor.

IMPORTANT: Possible corruption

Trying to move a clip while another one is blocking its path creates a possible corruption. See video on possible way to trigger it.

hi,
i wish to say:
add little design for fade-in and fade out, because if i add title color is red so i cant find point of fade-in.. so add little design "point" or similar design icon: marker (https://fvmstatic.s3.amazonaws.com/maps/m/ICON-MM-01-0004.png) or bookmark( http://www.endlessicons.com/wp-content/uploads/2014/03/bookmark-icon-1.png) or rombo or cross or leave it where is fade-in point...

see example actually kdenlive unstable kdenlive-18.04-alpha6

i think icon like as : for fade-in and for fade-out or or

The crash on "extract" is caused by a regression in Qt (I used Qt 5.9.2 instead of 5.9.1 in latest AppImage). Now testing if it is fixed in Qt 5.9.4.
The timeline corruption should be fixed in git. I will work on other reported issues and release a new AppImage by the end of the week.

The crash on "extract" is caused by a regression in Qt (I used Qt 5.9.2 instead of 5.9.1 in latest AppImage). Now testing if it is fixed in Qt 5.9.4.
The timeline corruption should be fixed in git. I will work on other reported issues and release a new AppImage by the end of the week.

Fantastic JB, I'll give it a test on Saturday/Sunday.

This corruption scared me honestly as the refactoring should be in theory corruption proof. Hopefully we'll catch them all before release!

IMPORTANT: Crash and corruption

1- Add a slideshow clip
2- Cut it (x or shift+r) many times
3- Rubber select a part and try to move it.

Sometimes it crashes and others the clips get drawn on timeline crazily.

Scrolling mouse on timeline creates weird behavior. Notice the timeline cursor position as well.

afarid added a comment.Feb 1 2018, 2:21 PM

Cut still not working. It seems it groups clips when you cut them.

afarid added a comment.Feb 1 2018, 7:10 PM

Timeline corruption example after group cut.

afarid added a comment.EditedFeb 1 2018, 7:17 PM

Clips moves backwards when released if mouse cursor moves beyond the - axis of the clips translation. See video and notice how the clip jumps if the mouse cursor moves beyond the y-axis.

Thanks for the reports. I think I have now fixed all these issues in git, thanks for the report.
I will issue a new AppImage this week-end. Also, to clarify the timeline refactoring doesn't mean the timeline canno be corrupted, but it means that bugs can be isolated and fixed in a proper way, which was previously impossible.

afarid added a comment.Feb 3 2018, 5:40 PM

Thanks for continuing to improve this! Here are some small issues previously reported that are still not fixed:

1- If you split the audio of a clip, you shouldn't be able to individually resize the audio or video clips unless you ungroup them. (See video from previous post.)
2- Zoom should be at the location of the mouse pointer and not at the position of timeline cursor.
3- Thumbnail issues

I will continue testing.

afarid added a comment.EditedFeb 3 2018, 5:50 PM

Clicking beyond the 00:00:50:02 timezone doesn't move the timeline cursor to the desired spot.

Edit: Actually this varies. You cant move freely though, there seems to be a limitation.

Maybe make clips rescale when dragging them to tracks with different dimensions. Or think of a better solution.

samueln added a subscriber: samueln.Feb 8 2018, 2:17 AM

Still corruption issues with ungrouping clips.

One shouldn't be able to cut clips in locked tracks.

IMPORTANT: Crash on muting/unmuting tracks.
file:///tmp/.mount_IAewvw/usr/lib/qt5/qml/QtQuick/Controls/Private/BasicTableView.qml:615:17: QML Item: Binding loop detected for property "width"
trying to load "/tmp/.mount_IAewvw/usr/lib/qt5/plugins/kf5/kio/file.so" from "/tmp/.mount_IAewvw/usr/lib/qt5/plugins/kf5/kio/file.so"
kf5.kservice.services: The desktop entry file "/usr/share/applications/org.gnome.ChromeGnomeShell.desktop" has Type= "Application" but no Exec line
kf5.kservice.sycoca: Invalid Service :  "/usr/share/applications/org.gnome.ChromeGnomeShell.desktop"
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
trying to load "/tmp/.mount_IAewvw/usr/lib/qt5/plugins/kf5/kio/file.so" from "/tmp/.mount_IAewvw/usr/lib/qt5/plugins/kf5/kio/file.so"
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
QFile::setFileName: File (/home/farid/.local/share/stalefiles/kdenlive/_untitled.kdenliveSQvfile_%2Fhome%2Ffarid%2FDocumentsfxIbKSQv) is already opened
Loading bin playlist...
//////////////////////
Trying to construct 7 tracks.
////////////////////////////////
SUSPICIOUS: we weren't expecting a producer when parsing the timeline
REGISTER TRACK 1 0
REGISTER TRACK 2 1
REGISTER TRACK 3 2
REGISTER TRACK 4 3
REGISTER TRACK 5 4
REGISTER TRACK 6 5
/////////// starting to add bin clips
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find "mtp"
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: KSambaShare: Could not find smb.conf!
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kio.core: Refilling KProtocolInfoFactory cache in the hope to find ""
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
/////////// found list (QUrl("file:///home/farid/Gunga/Juvelinas/Render/Aniceto-insta.mp4"))
/////////// creatclipsfromlist (QUrl("file:///home/farid/Gunga/Juvelinas/Render/Aniceto-insta.mp4")) true "-1"
/////////// createClipFromFile "/home/farid/Gunga/Juvelinas/Render/Aniceto-insta.mp4" "-1" QUrl("/home/farid/Gunga/Juvelinas/Render/Aniceto-insta.mp4") "video/mp4"
/////////// normal "" QMap(("resource", "/home/farid/Gunga/Juvelinas/Render/Aniceto-insta.mp4")) QUrl("/home/farid/Gunga/Juvelinas/Render/Aniceto-insta.mp4")
/////////// final xml "<producer>\n <property name=\"resource\">/home/farid/Gunga/Juvelinas/Render/Aniceto-insta.mp4</property>\n</producer>\n"
/////////// requestAddBinClip "-1"
/////////// found id "2"
/////////// constructed 
Setting parent to  "-1"
MANAGE BIN ITEM INSERT "2"
Inserting clip "2"
Inserting invalid clip "2"
/////////// added  true
/////////// creatclipsfromlist return
################### JOB finished 0
################### loadjob COMMIT
################### ProjectClip::setproducer
################### ClipController::updateProducer
################### ClipController::addmasterproducer
################### ClipController::getinfoforproducer
Setting parent to  "-1"
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
################### JOB finished 1
################### JOB finished 2
qml: track name:  2  =  Video 1 / 4
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
/// CLI DURATION:  2062
 // /REQUEST TL CLP REGSTR:  7 
--------
CLIPS COUNT:  0
REGISTRATION  7 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: loaded clip:  43 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  145 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  250 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  373 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  440 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  455 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  473 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  445 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  430 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  405 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  375 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  350 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  320 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  295 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  273 , ID:  7 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  255 , ID:  7 , index:  2
/// REQUESTOING CLIP DELETION_:  true
 // /REQUEST TL CLP REGSTR:  8 
--------
CLIPS COUNT:  0
REGISTRATION  8 ptr count 3
// FINAL MOVE:  true , UPDATE VIEW:  true
qml: keyframe model changed............
qml: loaded clip:  255 , ID:  8 , index:  2
Changing selection to ()  trackIndex -1 isMultitrack false
 // /REQUEST TL CLP REGSTR:  9 
--------
CLIPS COUNT:  1
REGISTRATION  9 ptr count 6
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: loaded clip:  1010 , ID:  9 , index:  2
qml: track name:  2  =  Video 1 / 4
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
terminate called after throwing an instance of 'std::out_of_range'
  what():  _Map_base::at
/tmp/.mount_IAewvw/AppRun, linha 55:  4262 Abortado                (imagem do núcleo gravada)kdenlive --config kdenlive-appimagerc $@

.

IMPORTANT: Crash when applying some effects

1- Add clip to timeline
2- Drag an effect to the clip
3- Click on the clip
4- Crash

This happens only with some effects among the ones I remember are Transform and Auto Mask.

kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
kf5.kservice.services: KServiceTypeTrader: serviceType "ThumbCreator" not found
/////////// found list (QUrl("file:///home/farid/Gunga/Juvelinas/Render/FlautinsMatua_HD_dust.mp4"), QUrl("file:///home/farid/Gunga/Juvelinas/Render/Alvenaria.mp4"))
/////////// creatclipsfromlist (QUrl("file:///home/farid/Gunga/Juvelinas/Render/FlautinsMatua_HD_dust.mp4"), QUrl("file:///home/farid/Gunga/Juvelinas/Render/Alvenaria.mp4")) true "-1"
/////////// createClipFromFile "/home/farid/Gunga/Juvelinas/Render/FlautinsMatua_HD_dust.mp4" "-1" QUrl("/home/farid/Gunga/Juvelinas/Render/FlautinsMatua_HD_dust.mp4") "video/mp4"
/////////// normal "" QMap(("resource", "/home/farid/Gunga/Juvelinas/Render/FlautinsMatua_HD_dust.mp4")) QUrl("/home/farid/Gunga/Juvelinas/Render/FlautinsMatua_HD_dust.mp4")
/////////// final xml "<producer>\n <property name=\"resource\">/home/farid/Gunga/Juvelinas/Render/FlautinsMatua_HD_dust.mp4</property>\n</producer>\n"
/////////// requestAddBinClip "-1"
/////////// found id "2"
/////////// constructed 
Setting parent to  "-1"
MANAGE BIN ITEM INSERT "2"
Inserting clip "2"
Inserting invalid clip "2"
/////////// added  true
/////////// createClipFromFile "/home/farid/Gunga/Juvelinas/Render/Alvenaria.mp4" "-1" QUrl("/home/farid/Gunga/Juvelinas/Render/Alvenaria.mp4") "video/mp4"
/////////// normal "" QMap(("resource", "/home/farid/Gunga/Juvelinas/Render/Alvenaria.mp4")) QUrl("/home/farid/Gunga/Juvelinas/Render/Alvenaria.mp4")
/////////// final xml "<producer>\n <property name=\"resource\">/home/farid/Gunga/Juvelinas/Render/Alvenaria.mp4</property>\n</producer>\n"
/////////// requestAddBinClip "-1"
/////////// found id "3"
/////////// constructed 
Setting parent to  "-1"
MANAGE BIN ITEM INSERT "3"
Inserting clip "3"
Inserting invalid clip "3"
/////////// added  true
/////////// creatclipsfromlist return
################### JOB finished 3
################### loadjob COMMIT
################### ProjectClip::setproducer
################### ClipController::updateProducer
################### ClipController::addmasterproducer
################### ClipController::getinfoforproducer
Setting parent to  "-1"
################### JOB finished 0
################### loadjob COMMIT
################### ProjectClip::setproducer
################### ClipController::updateProducer
################### ClipController::addmasterproducer
################### ClipController::getinfoforproducer
Setting parent to  "-1"
################### JOB finished 4
################### JOB finished 1
################### JOB finished 5
################### JOB finished 2
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
/// CLI DURATION:  2008
 // /REQUEST TL CLP REGSTR:  7 
--------
CLIPS COUNT:  0
REGISTRATION  7 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: loaded clip:  163 , ID:  7 , index:  2
/// REQUESTOING CLIP DELETION_:  true
 // /REQUEST TL CLP REGSTR:  8 
--------
CLIPS COUNT:  0
REGISTRATION  8 ptr count 3
// FINAL MOVE:  true , UPDATE VIEW:  true
qml: keyframe model changed............
qml: loaded clip:  163 , ID:  8 , index:  2
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
/// CLI DURATION:  2175
 // /REQUEST TL CLP REGSTR:  9 
--------
CLIPS COUNT:  1
REGISTRATION  9 ptr count 3
// FINAL MOVE:  false , UPDATE VIEW:  true
qml: keyframe model changed............
qml: loaded clip:  215 , ID:  9 , index:  0
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  908 , ID:  9 , index:  0
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1073 , ID:  9 , index:  0
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1610 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1673 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1798 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1815 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1830 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1845 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  1883 , ID:  9 , index:  1
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  2171 , ID:  9 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  2188 , ID:  9 , index:  2
// FINAL MOVE:  false , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  2203 , ID:  9 , index:  2
/// REQUESTOING CLIP DELETION_:  true
 // /REQUEST TL CLP REGSTR:  10 
--------
CLIPS COUNT:  1
REGISTRATION  10 ptr count 3
// FINAL MOVE:  true , UPDATE VIEW:  true
qml: keyframe model changed............
qml: loaded clip:  2203 , ID:  10 , index:  2
qml: Clip clicked 8
Changing selection to (8)  trackIndex -1 isMultitrack false
// NON GROUPED SELCTUIIN:  (8)  !!!!!!
-----
// SHOW KEYFRAMES:  true
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  true , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  0 , ID:  8 , index:  2
qml:  + + + ++ + DROPPED  + + + + + + +
qml: Clip clicked 10
Changing selection to (10)  trackIndex -1 isMultitrack false
// NON GROUPED SELCTUIIN:  (10)  !!!!!!
-----
// SHOW KEYFRAMES:  true
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
MUTEX UNLOCK!!!!!!!!!!!! loadEffects
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
Found blank 0
// FINAL MOVE:  false , UPDATE VIEW:  false
/// REQUESTOING CLIP DELETION_:  false
// FINAL MOVE:  true , UPDATE VIEW:  true
/// REQUESTOING CLIP DELETION_:  true
qml: keyframe model changed............
qml: loaded clip:  2008 , ID:  10 , index:  2
qml:  + + + ++ + DROPPED  + + + + + + +
/// CLI DURATION:  2175
qml: kdenlive/effect
qml: kdenlive/effect
qml: Add effect:  qtblend
XML parsing of  "qtblend" . found :  4
END parsing of  "qtblend" . Number of found parameters 4
Changing selection to ()  trackIndex -1 isMultitrack false
qml: Clip clicked 8
Changing selection to (8)  trackIndex -1 isMultitrack false
// NON GROUPED SELCTUIIN:  (8)  !!!!!!
-----
// SHOW KEYFRAMES:  true
MUTEX LOCK!!!!!!!!!!!! setmodel
MUTEX UNLOCK!!!!!!!!!!!! setmodel
MUTEX LOCK!!!!!!!!!!!! loadEffects
**************
set ASSETPARAMVIEW model  AssetParameterModel(0x185a8ab0)
===================================================== Requested rowCount QModelIndex(-1,-1,0x0,QObject(0x0)) 4
Construct keyframemodellist. Checking model: false
Construct keyframemodel. Checking model: false
parsing keyframe "0 0 1920 1080 1"
Found 1 animation properties
ADD keyframe 0 QVariant(QString, "0 0 1920 1080 1") false
True addittion
add lambda 0 QVariant(QString, "0 0 1920 1080 1") false
===================================================== Requested rowCount QModelIndex(-1,-1,0x0,QObject(0x0)) 4
===================================================== Requested rowCount QModelIndex(-1,-1,0x0,QObject(0x0)) 4
paramtype  6
===================================================== Requested rowCount QModelIndex(-1,-1,0x0,QObject(0x0)) 4
===================================================== Requested rowCount QModelIndex(-1,-1,0x0,QObject(0x0)) 4
// FOUND ADDED PARAM
terminate called after throwing an instance of 'std::out_of_range'
  what():  _Map_base::at
/tmp/.mount_S1yxHj/AppRun, linha 55:  4796 Abortado                (imagem do núcleo gravada)kdenlive --config kdenlive-appimagerc $@
afarid added a comment.EditedFeb 17 2018, 12:24 AM

Project Monitor controls don't work correctly.

Hi everybody.
I tested the Beta 1 and I found the following issues (I don't know which of the following item on this list is already know):

  1. Tracks are stuck in vertical size. You can just open and close but not resize. Icons are shown partially.
  2. No more MATCH FRAME feature
  3. If you change the speed to a clip the audio doesn't change speed
  4. Speed change on a simple AUDIO clip or on a split audio track from a video clip doesn't' work.
  5. If you change the speed of an audio clip, waveforms are no more visible. If perform the speed change on the audio part of a video clip, waveforms are no more visible, video thumbnails are shown even if you change the format of the clip to AUDIO only
  6. When you in STRICT MODE insert an audio clip on an audio target only, you find 2 objects in the timeline: an empty video track (inside the target track) and the audio clip in the track below.
  7. Audio waveforms are visible no more on the bottom of the CLIP MONITOR and PROJECT MONITOR even if overlays are activated
  8. If an IN and an OUT points are not set in the CLIP MONITOR, you can't drag and drop the clip in the timeline
  9. IN OUT bar in the TIMELINE are ignored when you perform EXTRACT/LIFT/OVERWRITE/INSERT actions. 3 points edit is no more working
  10. When you click for the first time on a video clip in the PROJECT window, the CLIP MONITOR doesn't update automatically but it shows you a black frame
  11. The Configure Kdenlive window has to open some pixels wider cause when you are in the Project default you can't see all the GUI
  12. I had some crashes occurred during the tests

See you tonight at the Kdenlive Café.

This comment was removed by massimostella.

Hi all,

Just a quick message to tell you that I think I have fixed (or have pending patches) for all issues described by Massimo in the previous comment. I will upload an updated AppImage with all fixes on friday,

Fantastic, I'll test it over the weekend. \o/ :D

Hi guys.
I'm still checking the beta2; as I'm still using Ubuntu 16.04, I need the appimage to run Kdenlive (I can't compile it)
Here is a new list of issues I found:

  1. The safe zone in the clip and program monitor is in lower position than in the center
  2. After you worked on the timeline, the cursor In the CLIP MONITOR doesn't move when you click on the bar or if you use GO to IN or GO to OUT. You can see a blue line but the cursor stays in position and you can't perform any action but play.
  3. In and OUT points are not set automatically on the first and the last frame when you open for the first time a clip in the monitor. Drag and drop from the clip monitor to the timeline it's not possible until you don't set any IN OUT point manually.
  4. INSERT makes jump the clip forward,
  5. OVERWRITE doesn't work on audio

One other minor suggestion:
Safe margins need a center reference both in the monitors and in the titler (Very important in the titler)

afarid added a comment.Mar 1 2018, 1:54 PM

Catching them bugs like crazy!

Safe margins need a center reference both in the monitors and in the titler (Very important in the titler)

T5434 addresses this.

Timeline zone missing features.

I've had sporadic crashes importing image sequences. But can't reproduce...

Also if you could look into this old report as well:
https://bugs.kde.org/show_bug.cgi?id=375864

New report on 18.08 Beta 0

Lock track feature has several issues or it doesn't work at all (all the test were performed in STRICT MODE):

  1. When you insert a simple audio clip on an audio target only, the video already on timeline moves forward also when a video track is locked.
  2. If you want to insert just the audio part of the video clip in an audio track by locking all the video tracks and setting the audio target, Kdenlive ignores the locked tracks and behave as nothing is locked by inserting the video in the timeline
  3. If you INSERT in one empty track which is over or under tracks that contain assets, the clip already on the timeline instead of creating a space in between the cut skip forward of the same amount of frame of the new clip. (this happens also when the lock feature is enabled)

Other issues not related to Lock track feature:

  1. It's not possible to deactivate the Timeline Zone when you EXTRACT/LIFT/OVERWRITE/INSERT and do operations starting from the editline position
  2. All the time you open a new clip in the Clip monitor, the IN and OUT points are set as the last selection you did on the last clip you managed
  3. When you open for the first time a clip in the monitor the IN and OUT points are not set on the first and on the last frame of the clip
  4. When in an empty timeline you insert one video clip at the first frame or where the edit line is, the Project monitor doesn't update automatically but stay black.

To conclude, I suggest changing the position of the labels for the IN and OUT point in the monitor. At the IN point, we could show the label on the left side and at the OUT point on the right. This helps to understand faster without reading the text inside the label where you are. A different colour could help too.

Massimo, I am not sure what is expected in the following situations in strict mode (always split audio/video) :

  • Drop a video clip (AV) on an audio track... should we only insert the audio part on the audio track, or also add the video part on an upper video track
  • Drop / insert a video clip (AV) as you described on an audio track when all other tracks are locked... my idea was that in that situation the insert operation should fail and nothing inserted...

working on the other issues, thanks

Sporadic crashes and/or corruptions using V and B insert modes.

(Using Beta12)

hi
version of kdenlive: "kdenlive-18.08-beta13-x86_64"
[my cpu amd Phenom II X6 1100T, 16gb RAM, opensuse tumbleweed 20180410, kde plasma 5.12.4, kde frameworks 5.44.0, kernel 4.16. 64bit]

i found a true bug:

  • timeline is frozen when add a effect on track..see screen record (see area timeline playhead is frozen and not connect monitor porject nothing work..)
  • close kdenlive and keeps again in process..see screen record (see area tray icon there are multicores)

hi

i find incorrect works: make it refresh in monitor project when clip is moved in timeline 2.0
see screen record:

thank you for devloping this GREAT!

hi

other incorrect selection groups in timeline 2.0 maybe confusing ( x+,y+ and x-,y- in code..?)

see example screen record:

Thanks @manuelmuzzurru, I fixed the bug for selection

emohr added a subscriber: emohr.Jul 5 2018, 10:53 AM

@alcinos. Just for my curiosity: How do you find all the positions in the code (CPP files) which must be changed? And this so quick! Kudos.

hi
i find SERIOUS INCORRECT:
two click on clip in timeline 2.0 open dialog for time duration and click ok, result mouse is connected for MOVE any move the mouse.. this is serious..
see screen record:

hi

CRASHED after click extract in timeline 2.0 see screen record

hi

same problem not work REFRESH in monitor project in timeline2.0 ..same old reporting (beta 13)https://phabricator.kde.org/T7082#149756
see video screen record for beta 17

Monitor refresh bug fixed, thanks for the report!

Crash on extract fixed in git

hi @mardelle
you can compile last git in appimage? so i will can check and report somethings..?

thank you fix it also @alcinos..

manuelmuzzurru added a comment.EditedJul 12 2018, 12:06 PM

hi i find problem serious for seletion in timeline2.0..timeline goes in crazy move continue infinity..
see screen record:

this is 18beta
later i will check for new report, thank you.

hi

i find INCORRECT:
timeline 2.0: i add 5 track of video and 5 track of audio but is disoriented.. uhm..see screenshot:

to be ording correct:
V5
V4
V3
V2
V1
A1
A2
A3
A4
A5
this is clear for ordering..

but there is other BUG for tracks..

when i add new tracks: before 2 track of video and 2 audio (example) to 5 tracks of video and 5 track of audio and click OK (dialog of NEW) result timeline track :


but this is BUG for REFRESH is MISSING.. so i try move the scroll-bar vertical find to right few move is refresh in timeline all correct.. so this is bug..
so see screenrecord:

i hope this report is help to team developers..

i hope this report is help to team developers..

Thanks for the reports, keep them coming :)

hi

i find BUG level medium-high: not work in timeline 2.0 move other track number V4 and V5 ..other STRANGE: clip video get in track of AUDIO???..this is correct..?

then
all clip of VIDEO must to be place in all track of VIDEO and not to track of AUDIO..right?

please check in code..clips video must to SNAP all track of VIDEO ONLY and not AUDIO.. for avoid in crash or is not professional editing video.. i think..
see screenrecord:

i'm sorry if i'm do disturb here new reports..

i hope this report is help to team developers..

Thanks for the reports, keep them coming :)

ok so i can continue report long time..? it's joke! i try..

hi

i find Serious bug: interlaced and de-interlaced import clips NOT STABLE..bad works..BAD FEEDBACK or BAD REFRESH..change profile of project..all are bad = NOT STABLE..damn it..
i dont understand where is problem FROM...uhm..
see screenrecord all truth what is happen..

the video original here:
https://mega.nz/#!D0ojBJQA!W476CDKWyBbDgQWucTaQt0WDBr8OmvJX9tT20Wdt8oM
you can download file original size 62.3MB RAW FOOTAGE..

hi

timeline 2.0 is missing PAN for move the area of timeline..Refactoring is missing instead STABLE is there PAN..(use press CTRL+Mouse-button-right)..maybe this is missing..?

hi

not work anytime : scroll mouse in area timeline 2.0 ( out of tracks) there is empty , see screenrecord:

i add area empty for EASY for SELECTION RECTANGLE for me.. but that area empty not work in scroll mouse for move timeline.., but works only in area of tracks..

why i use area empty? because that is easy if i need to selection from bottom to up selection level of video clips..this is my case..

for my this is need if people will use from bottom to up for selection clips level..okay?
good night.. for now i'm stop reports..byebye

OK, thats a good amount, thanks. Some have also been reported elsewhere. Let us wait for a new beta to find more. ;)

manuelmuzzurru added a comment.EditedJul 13 2018, 9:22 AM

hi
i find 2 BUGS:
A- multi-selection many clips (has audio linked) after move clips will do split audio automatic..that is not correct, strange operation..
-one selection clip and move : correct (color green border)
-more selection clips and move: not correct that is automatic split audio anytime.. (color black border)

B- insert clip from bin in timeline 2.0 not work (2 times) see screen record , begin video..

see screen record:

hi

i find ERROR: for "zone out" from [ALT+direction right], result ERROR because that zone out is added new frame.. maybe problem from playhead error position?..or error for ALT+DIRECT-RIGHT..?
see screen record, easy to understand:

(but this thing i knew because there is same in kdenlive stable 18.04.02, sorry i was forget to report it, that is from years ago.. same problem for zone out with press [ALT+direct-right]...

Scrolling in the area below tracks is now fixed in git

Added 3 clips to the timeline, with some overlapping, applied some effects (LUT, transform, etc. - just playing around really). The thumbnail and box that shows the video disappears. If I move the audio clip up or down a track then the video clip reappears.

This does not affect the monitor output, only the timeline view.

Reading the stdout:

INSERTION FAILED, REVERTING

// SHOW KEYFRAMES: true
qml: INCORRECT DRAG, Trying to recover item: 0 XPOS: 1111 = 1436

!!!!!!!!!!
// SHOW KEYFRAMES: true
qml: INCORRECT DRAG, Trying to recover item: 0 XPOS: 1111 = 1436

!!!!!!!!!!
// SHOW KEYFRAMES: true
qml: INCORRECT DRAG, Trying to recover item: 0 XPOS: 1111 = 1436
!!!!!!!!!!

I should add:
Compiled Kdenlive using instructions on Wiki with new xUbuntu VM.
Version 18.11.70 from the refactoring branch
MLT version 6.11.0
Qt 5.9.5
KDE Frameworks 5.44